Name: gpar2
Version: 0.3       
Release: 8%{?dist}
Summary: GUI for verifying and repairing PAR and PAR2 recovery sets      

Group: Applications/Archiving        
License: GPLv2+       
URL: http://parchive.sourceforge.net/           
Source0: http://prdownloads.sourceforge.net/sourceforge/parchive/%{name}-%{version}.tar.gz    
Patch0: gpar2-0.3-desktopfile.patch   
Patch1: gpar2-0.3-buildfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtkmm24-devel
BuildRequires: libpar2-devel       
BuildRequires: pkgconfig
BuildRequires: desktop-file-utils
BuildRequires: gettext

%description
A simple, easy to use graphical interface for verification and
repair of PAR v1.0 and PAR v2.0(PAR2) recovery sets.

%prep
%setup -q
%patch0 -p1 -b .desktopfile
%patch1 -p1 -b .buildfix
rm -f po/*.gmo po/*.pot

%build
%configure
make %{?_smp_mflags}
pushd ./po
	make update-gmo
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="fedora" --delete-original  \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  gpar2.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/gpar2
%{_datadir}/applications/fedora-gpar2.desktop
%doc COPYING ChangeLog AUTHORS


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.3-6
- Fix build

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.3-5
- Rebuild for gcc-4.3

* Sat Dec 29 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3-4
- Don't use pre generated pot and gmo files

* Sat Dec 29 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3-3
- Fix desktop file
- Execute update-desktop-database

* Sat Dec 29 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3-2
- Fix buildrequires
- Fix description

* Fri Dec 28 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.3-1
- Initial package
